import TableHelper from './lib/TableHelper'

class User extends TableHelper {
  constructor () {
    super('user')
  }

  async getUserMap (userIds) {
    let objTable = await this.getObjTable()
    let map = {}
    if (!objTable) return map

    for (let k in userIds) {
      let userId = userIds[k]
      map[userId] = await objTable.get(userId)
    }

    return map
  }
}

export default User
